Nim
Nimble

Nim nimble install jester -d:release


nimble install jester バージョンエラー

Windows

>nimble install jester

Downloading https://github.com/dom96/jester using git
Verifying dependencies for jester@0.4.1
Tip: 4 messages have been suppressed, use --verbose to show them.
Error: Unsatisfied dependency: nim (>= 0.18.1)

>nim -v

Nim Compiler Version 0.18.0 [Windows: i386]
Copyright (c) 2006-2018 by Andreas Rumpf

git hash: 855956bf617f68ac0be3717329e9e1181e5dc0c6
active boot switches: -d:release


方法


  1. 公式でダウンロードしたNimのフォルダとPATHを削除

  2. choosenimをインストール https://github.com/dom96/choosenim


    1. リリースページからzipでダウンロード link

    2. 解凍してrunme.batを実行

    3. Nimがインストールされる

    4. cmdに表示されたchoosenimのPATHを追加

    5. C:\Users\ergop\.nimble\bin

    6. コマンドchoosenim develを打つ



>choosenim devel

Switched to Nim #devel

>nim -v

Nim Compiler Version 0.18.1 [Windows: i386]
Compiled at 2018-09-13
Copyright (c) 2006-2018 by Andreas Rumpf

active boot switches: -d:release

コンパイルしてバージョン変わらなかったのはなんでだろう...